Bug 1999075 - Move the selected workload to the full view in topology canvas
Summary: Move the selected workload to the full view in topology canvas
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Karthik Jeeyar
QA Contact: Debsmita Santra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-30 11:10 UTC by Karthik Jeeyar
Modified: 2021-10-18 17:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9921 0 None None None 2021-08-30 11:12:07 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:58 UTC

Description Karthik Jeeyar 2021-08-30 11:10:39 UTC
Description of problem:
Currently, if you select a component in Topology, it's not always in full view when the side panel is shown.



Version-Release number of selected component (if applicable):

OCP-4.9

How reproducible:
Always


Steps to Reproduce

1. Click on that Deployment & the side panel will show
2. Close the side panel, drag that Deployment all the way to the right side of the canvas
3. Click on that Deployment again & you'll see that the deployment is moved in full view
4. Now with that side panel open carefully move that deployment so that it's partially hidden by the side panel
5. Close the side panel by clicking X on it
6. Select the deployment

Actual results:
Since the deployment is partially shown when taking the above steps, it is not moved into full view.



Expected results:
When selecting a component in topology, be sure to put it in full view, so that none of it is hidden by the side panel.

Comment 4 Debsmita Santra 2021-09-02 14:25:54 UTC
verified on 4.9.0-0.nightly-2021-09-01-193941

Comment 7 errata-xmlrpc 2021-10-18 17:49:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.